<?php
	require_once("../config/connect.php");
	require_once("../global_functions.php");

	
	echo "--------------------- SELECT Storno Bons ---------------------<br>";
	$select_storno_bons = "select bon_id from abgeschlossener_bon where storno=1 and storno_bemerkung like ('Storno zu Bon%');";
	
	$query_storno_bons=mysql_query($select_storno_bons);
	if (!$query_storno_bons) 
	{
		echo "$select_storno_bons <br>";
		echo "Fehler beim SELECT: ".mysql_error();
		exit;
	}
	else 
		echo "<br>$select_storno_bons <br>";
	
	echo "--------------------- UPDATE Storno Bons ---------------------";
	
	while ($row = mysql_fetch_assoc($query_storno_bons)) {
				
		$bon_id = $row['bon_id'];
		
		$update_steuern ="UPDATE abgeschlossener_bon_steuern SET 
						gesamt_betrag=(SELECT sum(stueck*pricesell) FROM abgeschlossener_bon_produkte WHERE bon_id=$bon_id) 
						WHERE bon_id= $bon_id;";
		
		$query_steuern=mysql_query($update_steuern);
		if (!$query_steuern) 
		{
			echo "<br>$update_steuern <br>";
			echo "Fehler beim UPDATE Steuern: ".mysql_error();
			exit;
		}
		else 
			echo "<br>$update_steuern <br>";
		
		
		$update_zahlung ="UPDATE abgeschlossener_bon_zahlung SET 
							zahlbetrag=(SELECT sum(stueck*pricesell_brutto) FROM abgeschlossener_bon_produkte WHERE bon_id=$bon_id),  
							zahlbetrag_tatsaechlich=(SELECT sum(stueck*pricesell_brutto) FROM abgeschlossener_bon_produkte WHERE bon_id=$bon_id)
							Where bon_id = $bon_id;";
		
		$query_zahlung=mysql_query($update_zahlung);
		if (!$query_steuern) 
		{
			echo "<br>$update_zahlung <br>";
			echo "Fehler beim UPDATE Zahlung: ".mysql_error();
			exit;
		}
		else 
			echo "<br>$update_zahlung <br>";
				
	}	

?>